gs-clothify(1)

NAME
gs-clothify - applies the GIMP Script-Fu Clothify filter on an image

SYNOPSIS
gs-clothify input_filename output_filename
[-X value | - -blur-x value]
[-Y value | - -blur-y value]
[-A bearing | - -azimuth bearing]
[-E bearing | - -elevation bearing]
[-D depth | - -depth depth]
[-q | - -quiet] [-w | - -verbose]
gs-clothify [-h | - -help]
gs-clothify [-v | - -version]

DESCRIPTION
gs-clothify runs GIMP to load an image, applies the GIMP Script-Fu "Clothify" filter (details: GIMP Script-Fu Clothify: https://docs.gimp.org/3.0/en/script-fu-clothify.html), and stores the result into an output file. The blurring, bearing, and depth are configurable.

ARGUMENTS
The following options are available:

input_filename
    The input image. Any format supported by GIMP can be used. The format will be detected automatically.

output_filename
    The name for the output image to be written. Any format supported by GIMP can be used. The format will be detected by the provided file name extension (e.g. .jpeg, .png, .webp, .pdf, ...). An existing output file will be overwritten.

-X value | - -blur-x value
    Sets the blur X parameter for the "Clothify" filter. Range: 3-100. Default: 3.

-Y value | - -blur-y value
    Sets the blur Y parameter for the "Clothify" filter. Range: 3-100. Default: 3.

-A bearing | - -azimuth bearing
    Sets the azimuth parameter for the "Clothify" filter. Range: 0.0-360.0. Default: 135.0.

-E bearing | - -elevation bearing
    Sets the elevation parameter for the "Clothify" filter. Range: 0.5-90.0. Default: 45.0.

-D depth | - -depth depth
    Sets the depth parameter for the "Clothify" filter. Range: 1-65. Default: 5.

-q | - -quiet
    Quiet mode: suppress GIMP console output. This is the default.

-w | - -verbose
    Verbose mode: print GIMP console output and processing details.

-h | - -help
    Prints the program's command-line parameters and exits.

-v | - -version
    Prints the program version and exits.

EXIT STATUS
The gs-clothify tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

gs-clothify Bergen.jpeg Bergen-Clothify.jpeg

gs-clothify Bergen.jpeg Bergen-Clothify-with-Border8.jpeg --depth 8 --verbose

gs-clothify Bergen.jpeg Bergen-Clothify-with-Depth5.jpeg -D 5

gs-clothify --help

gs-clothify -h

gs-clothify --version

gs-clothify -v

SEE ALSO
gs-bumpmap(1), gs-caption(1), gs-glossytext(1), gs-mosaic(1), gs-oilify(1), gs-oldphoto(1), gs-resize-with-cropping(1), gs-test-gimp(1)

NOTES
This program is part of System-Tools. The latest version of System-Tools can be found on the System-Tools Homepage at System-Tools Homepage: https://www.nntb.no/~dreibh/system-tools/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh